FALSE(1)

NAZWA
false - nic nie rób, bez powodzenia

SKŁADNIA
false

OPIS
Ta strona podręcznika man opisuje polecenie false w wersji GNU.

false nie robi nic, poza zwróceniem kodu zakończenia o wartości 1, oznaczającym ``niepowodzenie''. Może być używane jako wypełniacz miejsca w skryptach powłokowych, gdzie wymagane jest polecenie zakończone niepowodzeniem. Ta wersja false zaimplementowana jest jako program C, i z tego powodu jest bezpieczniejsza i szybsza niż implementacja w postaci skryptu powłoki. Może być bezpiecznie stosowana jako fikcyjna powłoka przeznaczona do wyłączania kont.

OPCJE
Jeżeli ustawiona jest zmienna środowiska POSIXLY_CORRECT, to false ignoruje wszelkie argumenty wiersza poleceń, nawet --help i --version, gdyż inne postępowanie zmieniłoby oczekiwane zachowanie, na którym może polegać część programistów. Jeżeli POSIXLY_CORRECT nie jest ustawione, to wywołane z jednym argumentem false rozpoznaje następujące opcje:

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
true(1), test(1), expr(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.